## EasyMod 0.3.0 Compatible
##############################################################
## MOD Title: Warcraft Recruitment Block With ACP
## MOD Author: Taz Devil (www.tazworld.co.uk)
## MOD Description: A World of Warcraft Guild recruitment block listing all classes and if the classes are open 
##                  for recruiting with link to application page and the ability to alter them through the
##					Administration Control Panel.
##					
## MOD Version: 1.0.1
##
## Installation Level: Medium
## Installation Time: 20 Minutes
## Files To Edit:	
##			{ROOT}/templates/{YOURTEMPLATENAME}/portal_body.tpl
##			{ROOT}/language/lang_english/lang_main.php
##
## Included Files:	
## 			druid.jpg
## 			hunter.jpg
## 			mage.jpg
## 			paladin.jpg
## 			priest.jpg
## 			rogue.jpg
## 			shaman.jpg
## 			warlock.jpg
## 			warrior.jpg
##			apply.gif
##          		admin_wow.php
##			wow_config_body.tpl
##
##############################################################
## MOD History:
##
##   21-12-2007 - Version 1.0.0
##      - Complete Release
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################

# 
#-----[ COPY ]------------------------------------------ 
#

copy druid.jpg to {ROOT}/images/druid.jpg
copy hunter.jpg to {ROOT}/images/hunter.jpg
copy mage.jpg to {ROOT}/images/mage.jpg
copy paladin.jpg to {ROOT}/images/paladin.jpg
copy priest.jpg to {ROOT}/images/priest.jpg
copy rogue.jpg to {ROOT}/images/rogue.jpg
copy shaman.jpg to {ROOT}/images/shaman.jpg
copy warlock.jpg to {ROOT}/images/warlock.jpg
copy warrior.jpg to {ROOT}/images/warrior.jpg
copy apply.gif to {ROOT}/images/apply.gif
copy admin_wow.php to {ROOT}/admin/admin_wow.php
copy wow_config_body.tpl to {ROOT}/templates/{YOURTEMPLATENAME}/admin/wow_config_body.tpl

#
#-----[ OPEN ]---------------------------------------------
#

{ROOT}/templates/{YOURTEMPLATENAME}/portal_body.tpl


#
#-----[ FIND ]----------------------------------------
#

<td class="spacerow"></td>
</tr>
</table>
<br />

#
#-----[ AFTER, ADD ]-----------------------------------
#

<br />
<table width="100%" cellpadding="1" cellspacing="1" border="0" class="forumline">
  <tr>
    <th colspan="3">{RECRUIT_TITLE}</th></td>
  </tr>
  <tr>
    <td class="row1"><img src="images/druid.jpg" width="20" height="20" alt="Druid Class Icon"></td>
    <td class="row2" >Druid</td>
    <td class="row1">&nbsp;{DRUID_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/hunter.jpg" width="20" height="20" alt="Hunter Class Icon"></td>
    <td class="row2">Hunter</td>
    <td class="row1">&nbsp;{HUNTER_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/mage.jpg" width="20" height="20" alt="Mage Class Icon"></td>
    <td class="row2">Mage</td>
    <td class="row1">&nbsp;{MAGE_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/paladin.jpg" width="20" height="20" alt="Paladin Class Icon"></td>
    <td class="row2">Paladin</td>
    <td class="row1">&nbsp;{PALADIN_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/priest.jpg" width="20" height="20" alt="Priest Class Icon"></td>
    <td class="row2">Priest</td>
    <td class="row1">&nbsp;{PRIEST_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/rogue.jpg" width="20" height="20" alt="Rogue Class Icon"></td>
    <td class="row2">Rogue</td>
    <td class="row1">&nbsp;{ROGUE_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/shaman.jpg" width="20" height="20" alt="Shaman Class Icon"></td>
    <td class="row2">Shaman</td>
    <td class="row1">&nbsp;{SHAMAN_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/warlock.jpg" width="20" height="20" alt="Warlock Class Icon"></td>
    <td class="row2">Warlock</td>
    <td class="row1">&nbsp;{WARLOCK_BLOCK}</td>
  </tr>
  <tr>
    <td class="row1"><img src="images/warrior.jpg" width="20" height="20" alt="Warrior Class Icon"></td>
    <td class="row2">Warrior</td>
    <td class="row1">&nbsp;{WARRIOR_BLOCK}</td>
  </tr>
    <tr><td colspan="3"></td></tr>
      <tr><td colspan="3" align="center"><a href="apply.php"><img src="images/apply.gif" width="56" height="22" ></a></td></tr>
  <tr>
  <td class="spacerow" colspan="3"><img src="images/spacer.gif" alt="" width="1" height="1" /></td>
  </tr>  
	</table>

#
#-----[ OPEN ]---------------------------------------------
#

{ROOT}/language/lang_english/lang_main.php

#
#-----[ FIND ]----------------------------------------
#

?>

#
#-----[ BEFORE, ADD ]-----------------------------------
#

$lang['druid_menu_title'] = 'Druid';
$lang['hunter_menu_title'] = 'Hunter';
$lang['mage_menu_title'] = 'Mage';
$lang['paladin_menu_title'] = 'Paladin';
$lang['priest_menu_title'] = 'Priest';
$lang['rogue_menu_title'] = 'Rogue';
$lang['shaman_menu_title'] = 'Shaman';
$lang['warlock_menu_title'] = 'Warlock';
$lang['warrior_menu_title'] = 'Warrior';
$lang['wow_config_title'] = 'World of Warcraft Recruitment Block Configuration';
$lang['wow_config_explain'] = 'Gives yu the ability to alter various options on the WoW recruitment block and server status.';
$lang['Click_return_wow_config'] = 'Click %sHere%s To Return To WoW Configuration Menu';
$lang['recruitment_title'] = 'Class Recruitment';
$lang['wow_admin_title'] = 'World of Warcraft';
$lang['wow_admin_content'] = 'Configuration';

#
#-----[ OPEN ]---------------------------------------------
#

{ROOT}/portal.php

#
#-----[ FIND ]----------------------------------------
#

@$alb_col = (100/$album_config['cols_per_page']);

#
#-----[ AFTER, ADD ]-----------------------------------
#

// ----------- Start Of WoW Recruitment Block -------------
$class_array = array('druid','hunter','mage','paladin','priest','rogue','shaman','warlock','warrior');


for ($i = 0; $i <= 8; $i++) {

	$cv = $board_config["class_" . $class_array[$i]];
	create_block_colour($cv);
	${$class_array[$i] . "_block"} = $retval;

}

function create_block_colour($class_value)
{

global $retval;

If ($class_value == 'High')
	$retval = '<b><font color="red">High</font></b>';
If ($class_value == 'Medium')
	$retval = '<b><font color="orange">Medium</font></b>';
If ($class_value == 'Low')
	$retval = '<b><font color="green">Low</font></b>';
If ($class_value == 'Closed')
	$retval = '<b><font color="gray"><s>Closed</font></s></b>';

return $retval;
}


// ----------- End Of WoW Recruitment Block -------------


#
#-----[ FIND ]----------------------------------------
#


$template->assign_vars(array(

#
#-----[ AFTER, ADD ]-----------------------------------
#

	'DRUID_BLOCK' => $druid_block,
	'HUNTER_BLOCK' => $hunter_block,
	'MAGE_BLOCK' => $mage_block,
	'PALADIN_BLOCK' => $paladin_block,
	'PRIEST_BLOCK' => $priest_block,
	'ROGUE_BLOCK' => $rogue_block,
	'SHAMAN_BLOCK' => $shaman_block,
	'WARLOCK_BLOCK' => $warlock_block,
	'WARRIOR_BLOCK' => $warrior_block,
	'RECRUIT_BLOCK' => $lang['recruitment_title'],
	'RECRUIT_TITLE' => $lang['recruitment_title'],
	
# 
#-----[ SQL ]------------------------------------------ 
#

INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_druid', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_hunter', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_mage', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_paladin', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_priest', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_rogue', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_shaman', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_warlock', 'High');
INSERT INTO phpbb_config (config_name, config_value) VALUES ('class_warrior', 'High');

# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM 